org.eclipse.microprofile.fault.tolerance.tck.invalidParameters

## Class AsynchronousClientForValidationMethod

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.invalidParameters.AsynchronousClientForValidationMethod

    @ApplicationScoped
    public class AsynchronousClientForValidationMethod
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AsynchronousClientForValidationMethod()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getString()` Invalid because it's annotated with `Asynchronous` but does not return Future or CompletionStage

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsynchronousClientForValidationMethod

    public AsynchronousClientForValidationMethod()

### Method Detail

#### getString

    @Asynchronous
    public String getString()

Invalid because it's annotated with `Asynchronous` but does not return Future or CompletionStage

Returns:
  "foo"